Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226612 - Merge Review: xorg-x11-drv-nv
Summary: Merge Review: xorg-x11-drv-nv
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:28 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-21 23:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-21 23:15:25 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:28:10 UTC
Fedora Merge Review: xorg-x11-drv-nv

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-drv-nv/
Initial Owner: ajackson@redhat.com

Comment 1 Jason Tibbitts 2007-06-22 05:11:29 UTC
Abbreviated mass review of xorg-x11-drv-* packages.

ced96600f48d4864a558b416afe060735091ebf6980a43a93ad37533230293a7 
xf86-video-nv-2.1.0.tar.bz2
Unfortunately there's no info in the spec about where the nouveau driver is
hosted, so I can't grab the commit to do a comparison.  Could you add just a
line indicating how to do a pull?

rpmlint says:
W: xorg-x11-drv-nv mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 3)
which is fine.

The only other issue I have is that neither of the make calls has
%{?_smp_mflags}.  Is there some issue that makes parallel builds not useful?

Comment 2 Adam Jackson 2009-02-21 22:07:16 UTC
Fixed smp_mflags in 2.1.12-9.  nouveau is a separate package now, so I think this is done.

Comment 3 Jason Tibbitts 2009-02-21 23:15:25 UTC
Indeed, this is fine; the nouveau driver is split out and the other bits are cleaned up.  Thanks.

I would urge some additional documentation of the patches since this package is starting to accumulate quite a few of them that don't seem to be going upstream.  I see there there's some reasonable info in the changelog, but it would be good to have consistent links to Red Hat bugzilla or the upstream bug tracker.

APPROVED and closed.


Note You need to log in before you can comment on or make changes to this bug.